#ifndef _LIBOJMIXER_BASE_H_
#define _LIBOJMIXER_BASE_H_

#include <sys/types.h>
#include <sys/stat.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

#if defined(__FreeBSD__)
# include <machine/soundcard.h>
#else
# if defined (__NetBSD__) || defined (__OpenBSD__)
#  include <soundcard.h> /* OSS emulation */
#  undef ioctl
# else
   /* BASI, Linux, Solaris */
#  include <sys/soundcard.h>
# endif
#endif
#ifdef HAVE_ALSA
# include <sys/asoundlib.h>
#endif

#define _(s) (s)

#ifdef DUMMY_MIXER
# define SOUND_IOCTL(a,b,c)	dummy_ioctl(a,b,c)
#else
# if defined (__NetBSD__) || defined (__OpenBSD__)
#  define SOUND_IOCTL(a,b,c)	_oss_ioctl(a,b,c)
# else
#  define SOUND_IOCTL(a,b,c)	ioctl(a,b,c)
# endif             /* defined (__NetBSD__) || defined (__OpenBSD__) */
#endif              /* DUMMY_MIXER */

#define MAXLEVEL 100

enum {
	ENOERROR,
	EOPENMIX,          /* trouble opening mixer device */
	EFINDDEVICE,       /* no device found              */
	EREADDEV,          /* SOUND_MIXER_READ_DEVMASK     */
	EREADRECMASK,      /* SOUND_MIXER_READ_RECMASK     */
	EREADRECSRC,       /* SOUND_MIXER_READ_RECSRC      */
	EREADSTEREO,       /* SOUND_MIXER_READ_STEREODEVS  */
	EWRITERECSRC,      /* SOUND_MIXER_WRITE_RECSRC     */
	EREADMIX,          /* MIXER_READ                   */
	EWRITEMIX,         /* MIXER_WRITE                  */
	ENOTOPEN,          /* mixer not open               */
	EFILE              /* unable to open settings file */
};

#endif /* _LIBOJMIXER_BASE_H_ */
