#ifndef _LIBOJMIXER_PRESET_H_
#define _LIBOJMIXER_PRESET_H_

#include <glib.h>
#include <glib-object.h>

typedef struct _OjPreset      OjPreset;
typedef struct _OjPresetClass OjPresetClass;

#include <libojmixer/base.h>
#include <libojmixer/ojmixer.h>

struct _OjPreset
{
	GObject parent_instance;

	char *name;

	int devices[SOUND_MIXER_NRDEVICES];

	int rec_device;
};

struct _OjPresetClass
{
	GObjectClass parent_class;

	void (*volume_changed)(OjPreset *preset, guint device, guint volume);
	void (*recsrc_changed)(OjPreset *preset, guint device);
};

#define TYPE_OJ_PRESET (oj_preset_get_type())
#define OJ_PRESET(object) (G_TYPE_CHECK_INSTANCE_CAST ((object), TYPE_OJ_PRESET, OjPreset))
#define OJ_PRESET_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_OJ_PRESET, OjPresetClass))
#define IS_OJ_PRESET(object) (G_TYPE_CHECK_INSTANCE_TYPE ((object), TYPE_OJ_PRESET))
#define IS_OJ_PRESET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_OJ_PRESET))
#define OJ_PRESET_GET_CLASS(object) (G_TYPE_INSTANCE_GET_CLASS ((object), TYPE_OJ_PRESET, OjPresetClass))



OjPreset *oj_preset_new(void);
GType oj_preset_get_type(void);

void oj_preset_set_name(OjPreset *preset, const char *name);
void oj_preset_set_volume(OjPreset *preset, int device, int volume);
void oj_preset_set_rec_device(OjPreset *preset, int device);

void oj_preset_load_volume(OjPreset *preset, OjMixer *mixer);
void oj_preset_load_rec_device(OjPreset *preset, OjMixer *mixer);

const char *oj_preset_get_name(const OjPreset *preset);
int oj_preset_get_volume(const OjPreset *preset, int device);
int oj_preset_get_rec_device(const OjPreset *preset);

#endif /* _LIBOJMIXER_PRESET_H_ */
