/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 *  Authors: Iain Holmes <iain@ximian.com>
 *
 *  Copyright 2002 Iain Holmes
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef __OJ_DISCLOSURE_H__
#define __OJ_DISCLOSURE_H__

#include <gtk/gtkcheckbutton.h>

#ifdef __cplusplus
extern "C" {
#pragma }
#endif

#define OJ_DISCLOSURE_TYPE (oj_disclosure_get_type ())
#define OJ_DISCLOSURE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), OJ_DISCLOSURE_TYPE, OjDisclosure))
#define OJ_DISCLOSURE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), OJ_DISCLOSURE_TYPE, OjDisclosureClass))
#define IS_OJ_DISCLOSURE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OJ_DISCLOSURE_TYPE))
#define IS_OJ_DISCLOSURE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), OJ_DISCLOSURE_TYPE))

typedef struct _OjDisclosure OjDisclosure;
typedef struct _OjDisclosureClass OjDisclosureClass;
typedef struct _OjDisclosurePrivate OjDisclosurePrivate;

struct _OjDisclosure {
	GtkCheckButton parent;

	OjDisclosurePrivate *priv;
};

struct _OjDisclosureClass {
	GtkCheckButtonClass parent_class;
};

GType oj_disclosure_get_type (void);
GtkWidget *oj_disclosure_new (const char *shown, const char *hidden);
void oj_disclosure_set_container (OjDisclosure *disclosure,
									GtkWidget *container);

#ifdef __cplusplus
}
#endif

#endif
